%
% anyremote configuration file for basic use of Xmultimedia keys
% 

% STATUS unknown
% XTEST yes
% SOUND no
% ENV no

GuiAppName=XMultimedia
GuiAppBinary=
GuiAppRun=
GuiAppIcon=
GuiAppType=Example
GuiAppProtocols=Server
GuiAppDesc=Multimedia keys usage example

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);
(Connect)=Set(icons,Xmultimedia,1,vol_down,2,mute,3,vol_up,4,rewind,5,play,6,forward,7,prev,8,stop,9,next,*,question,0,pause,#,eject);\
	Set(menu,replace,Forward,Back,MonBrightnessDown,MonBrightnessUp);

Cancel=\
    Make(exit);

Back=Emulate(key,Back);
Forward=Emulate(key,Forward);
MonBrightnessDown=Emulate(key,MonBrightnessDown);
MonBrightnessUp=Emulate(key,MonBrightnessUp);

1=Emulate(key,AudioLowerVolume);
2=Emulate(key,AudioMute);
3=Emulate(key,AudioRaiseVolume);

% value from /usr/include/X11/XF86keysym.h
* 1=Emulate(key,by_value,0x1008FF11);
* 2=Emulate(key,by_value,0x1008FF12);
* 3=Emulate(key,by_value,0x1008FF13);

4=Emulate(key,AudioRewind);
5=Emulate(key,AudioPlay);
6=Emulate(key,AudioForward);

7=Emulate(key,AudioPrev);
8=Emulate(key,AudioStop);
9=Emulate(key,AudioNext);

* *=Set(text,replace,Xmultimedia,Example of usage of multimedia keys.\n 1 AudioLowerVolume\n 2 AudioMute\n 3 AudioRaiseVolume\n 4 AudioRewind\n 5 AudioPlay\n 6 AudioForward\n 7 AudioPrev\n 8 AudioStop\n 9 AudioNext\n ** Help\n 0 AudioPause\n # Eject);
0=Emulate(key,AudioPause);
#=Emulate(key,Eject);

[End]
